singularity(1)

NAME

singularity-registry-login - Login to an OCI/Docker registry

SYNOPSIS

singularity registry login [login options...]

DESCRIPTION

The 'registry login' command allows you to login to a specific OCI/Docker
  registry.

OPTIONS

--authfile=""
    Docker-style authentication file to use for writing/reading OCI registry credentials

-h, --help[=false]
    help for login

-p, --password=""
    password / token to authenticate with

--password-stdin[=false]
    take password from standard input

-u, --username=""
    username to authenticate with (required for Docker/OCI registry login)

EXAMPLE

      To login in to a docker/OCI registry:
      $ singularity registry login --username foo docker://docker.io
      $ singularity registry login --username foo oras://myregistry.example.com

      Note that many cloud OCI registries use token-based authentication. The token
      should be specified as the password for login. A username is still required.
      E.g. when using a standard Azure identity and token to login to an ACR
      registry, the username '00000000-0000-0000-0000-000000000000' is required.
      Consult your provider's documentation for details concerning their specific
      login requirements.

SEE ALSO

singularity-registry(1)

HISTORY

1-Apr-2024 Auto generated by spf13/cobra